Package org.springframework.util.concurrent

# Interface ListenableFutureCallback<T>

Type Parameters:
  `T` - the result type

All Superinterfaces:
  `FailureCallback`, `SuccessCallback<T>`

@Deprecated(since="6.0", forRemoval=true) public interface ListenableFutureCallback<T> extends SuccessCallback<T>, FailureCallback
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, in favor of `CompletableFuture.whenComplete(BiConsumer)`
Callback mechanism for the outcome, success or failure, from a `ListenableFuture`.

Since:
  4.0
Author:
  Arjen Poutsma, Sebastien Deleuze

## Method Summary

### Methods inherited from interface org.springframework.util.concurrent.FailureCallback

`onFailure`

### Methods inherited from interface org.springframework.util.concurrent.SuccessCallback

`onSuccess`